summaryrefslogtreecommitdiffstats
path: root/network/qbittorrent/qbittorrent.SlackBuild
diff options
context:
space:
mode:
author David Woodfall <info@davidwoodfall.co.uk>2010-05-13 00:38:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:38:05 +0200
commitd7dc6e0c81f6625fc42c03d227b576d09a4f8104 (patch)
treeec330816a841ead26e7743bd8c8e86221ac70bf1 /network/qbittorrent/qbittorrent.SlackBuild
parentd7a6dcd6500a781765d0d4dff195772af9d825fa (diff)
downloadslackbuilds-d7dc6e0c81f6625fc42c03d227b576d09a4f8104.tar.gz
slackbuilds-d7dc6e0c81f6625fc42c03d227b576d09a4f8104.tar.xz
network/qbittorrent: Updated for version 2.13
Diffstat (limited to 'network/qbittorrent/qbittorrent.SlackBuild')
-rw-r--r--network/qbittorrent/qbittorrent.SlackBuild31
1 files changed, 17 insertions, 14 deletions
diff --git a/network/qbittorrent/qbittorrent.SlackBuild b/network/qbittorrent/qbittorrent.SlackBuild
index 3132b7da47..0e49f86956 100644
--- a/network/qbittorrent/qbittorrent.SlackBuild
+++ b/network/qbittorrent/qbittorrent.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/sh
# Slackware build script for qbittorrent
-
-# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# Copyright 2009 David Woodfall <info@davidwoodfall.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +23,7 @@
# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
PRGNAM=qbittorrent
-VERSION=${VERSION:-1.3.2}
+VERSION=${VERSION:-2.1.3}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,13 +35,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -64,21 +66,19 @@ CXXFLAGS="$SLKCFLAGS" \
--qtdir=/usr/lib/qt4
make
-
mkdir -p $PKG/usr/bin
-cp src/qbittorrent $PKG/usr/bin/
+cp -a src/qbittorrent $PKG/usr/bin/
mkdir -p $PKG/usr/man/man1
-cp doc/qbittorrent.1 $PKG/usr/man/man1/
+cp -a doc/qbittorrent.1 $PKG/usr/man/man1/
mkdir -p $PKG/usr/share/applications
-cp src/Icons/qBittorrent.desktop $PKG/usr/share/applications/
+cp -a src/Icons/qBittorrent.desktop $PKG/usr/share/applications/
-for i in \
- 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 ; do
- mkdir -p $PKG/usr/share/icons/hicolor/${i}/apps/
- cp src/menuicons/${i}/apps/qbittorrent.png \
- $PKG/usr/share/icons/hicolor/${i}/apps/ ;
+for i in 16 22 24 32 36 48 64 72 96 128 192 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/${i}x${i}/apps
+ cp -a src/menuicons/${i}x${i}/apps/qbittorrent.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps ;
done
( cd $PKG
@@ -94,6 +94,9 @@ done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS Changelog NEWS TODO COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -101,4 +104,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}